# TODO:
# - better descriptions
# - more ?
# - fix SONAME libfoo.so.0.0.0

%define api_gck		2
%define major_gck	2

%define api_gcr		4
%define major_gcr	4

%define girmajor_gck		2
%define girmajor_gcr		4

%define libnamegck	%mklibname gck %{api_gck} %{major_gck}
%define libnamegcr	%mklibname gcr %{api_gcr} %{major_gcr}

%define girnamegck	%mklibname gck-gir %{girmajor_gck}
%define girnamegcr	%mklibname gcr-gir %{girmajor_gcr}

%define libnamedev	%mklibname gcr4 -d

Summary:	A library for bits of crypto UI and parsing
Name:		gcr4
Version:	4.3.91
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gcr/%{url_ver}/gcr-%{version}.tar.xz
Patch1:		0001-Make-gcr4-parellel-installable-with-gcr-3.41.x.patch
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	gi-docgen
BuildRequires:	gnupg2
BuildRequires:	libtasn1-tools
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(p11-kit-1)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gnome-common
BuildRequires:	openssh-clients
BuildRequires:	systemd-devel
Recommends:	gnupg2

%description
A library for bits of crypto UI and parsing etc.

%package -n gcr-viewer-gtk4
Group:		Graphical desktop/GNOME
Summary:	GCR Certificate Viewer - GTK4 version
License:	LGPLv2+
Provides:	gcr-viewer = %{version}-%{release}

%description -n gcr-viewer-gtk4
GTK4 version of the viewer for crypto files on the GNOME
desktop.

%package -n %{libnamegcr}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamegcr}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamegck}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system

%description -n %{libnamegck}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Development files and headers for %{name}
Requires:	%{libnamegcr} = %{version}-%{release}
Requires:	%{libnamegck} = %{version}-%{release}
Requires:	%{girnamegcr} = %{version}-%{release}
Requires:	%{girnamegck} = %{version}-%{release}
Provides:	libgcr%{api_gcr}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the development files and headers for %{name}.

%package -n %{girnamegcr}
Summary:	GObject Introspection interface description for Gcr
Group:		System/Libraries
Requires:	%{libnamegcr} = %{version}-%{release}

%description -n %{girnamegcr}
GObject Introspection interface description for Gcr.

%package -n %{girnamegck}
Summary:	GObject Introspection interface description for Gck
Group:		System/Libraries
Requires:	%{libnamegck} = %{version}-%{release}

%description -n %{girnamegck}
GObject Introspection interface description for Gck.

%prep
%autosetup -n gcr-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang gcr-%{api_gcr}

%post
%systemd_user_post gcr4-ssh-agent.service

%preun
%systemd_user_preun gcr4-ssh-agent.service

%postun
%systemd_user_postun_with_restart gcr4-ssh-agent.service

%files -f gcr-%{api_gcr}.lang
%doc README.md NEWS
%{_libexecdir}/gcr4-ssh-agent
%{_libexecdir}/gcr4-ssh-askpass
%{_userunitdir}/gcr4-ssh-agent.service
%{_userunitdir}/gcr4-ssh-agent.socket

%files -n gcr-viewer-gtk4
%{_bindir}/gcr-viewer-gtk4

%files -n %{libnamegck}
%{_libdir}/libgck-%{api_gck}.so.%{major_gck}{,.*}

%files -n %{girnamegck}
%{_libdir}/girepository-1.0/Gck-%{girmajor_gck}.typelib

%files -n %{libnamegcr}
%{_libdir}/libgcr-%{api_gcr}.so.%{major_gcr}{,.*}

%files -n %{girnamegcr}
%{_libdir}/girepository-1.0/Gcr-%{girmajor_gcr}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/doc/gck-%{api_gck}/
%doc %{_datadir}/doc/gcr-%{api_gcr}/
%{_libdir}/libgck-%{api_gck}.so
%{_libdir}/libgcr-%{api_gcr}.so
%{_includedir}/gck-%{api_gck}/
%{_includedir}/gcr-%{api_gcr}/
%{_libdir}/pkgconfig/gck-%{api_gck}.pc
%{_libdir}/pkgconfig/gcr-%{api_gcr}.pc
%{_datadir}/gir-1.0/Gck-%{girmajor_gck}.gir
%{_datadir}/gir-1.0/Gcr-%{girmajor_gcr}.gir
%{_datadir}/vala/vapi/gck-%{api_gck}.{deps,vapi}
%{_datadir}/vala/vapi/gcr-%{api_gcr}.{deps,vapi}


%changelog
* Sun Mar 09 2025 wally <wally> 4.3.91-1.mga10
+ Revision: 2162262
- new version 4.3.91

* Wed Jan 29 2025 wally <wally> 4.3.90.3-1.mga10
+ Revision: 2143328
- new version 4.3.90.3

* Sun Jun 02 2024 daviddavid <daviddavid> 4.3.0-1.mga10
+ Revision: 2069163
- new version 4.3.0

* Sun Mar 17 2024 daviddavid <daviddavid> 4.2.1-1.mga10
+ Revision: 2050263
- new version 4.2.1

* Sun Apr 23 2023 daviddavid <daviddavid> 4.1.0-1.mga9
+ Revision: 1954495
- new version 4.1.0
- now gcr libmajor is 4 and gck libmajor is 2

* Tue Sep 27 2022 wally <wally> 3.92.0-1.mga9
+ Revision: 1892804
- new version 3.92.0
- no more gcr-gtk3 and gcr-gtk4 UI libs

* Mon Jul 11 2022 wally <wally> 3.90.0-2.mga9
+ Revision: 1868513
- make gcr4 parallel installable with gcr 3.41.x
- fork as gcr4

* Sun Jul 10 2022 wally <wally> 3.90.0-1.mga9
+ Revision: 1868314
- split out gcr-viewer-gtk3 and gcr-viewer-gtk4
- add systemd post/preun/postun scriptlets for user service
+ ovitters <ovitters>
- new version 3.90.0

* Thu Mar 31 2022 umeabot <umeabot> 3.41.0-2.mga9
+ Revision: 1835728
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 3.41.0-1.mga9
+ Revision: 1767427
- Update to 3.41.0

* Sat Mar 27 2021 ovitters <ovitters> 3.40.0-1.mga9
+ Revision: 1711168
- new version 3.40.0
- drop the autotools BS patch (already used meson)

* Tue Mar 02 2021 daviddavid <daviddavid> 3.38.1-1.mga9
+ Revision: 1696039
- new version 3.38.1

* Mon Sep 28 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1630877
- new version 3.38.0

* Thu Sep 24 2020 daviddavid <daviddavid> 3.37.91-1.mga8
+ Revision: 1629855
- new version 3.37.91
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 11 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555458
- new version 3.36.0

* Tue Feb 18 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1539945
- adjust filelist
+ ovitters <ovitters>
- new version 3.35.91
- switch to meson
- new version 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1535906
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 14 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1453133
- new version 3.34.0

* Sun Aug 11 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1428817
- new release

* Mon Mar 11 2019 wally <wally> 3.28.1-2.mga7
+ Revision: 1374061
- udpate rpm group

* Fri Jan 18 2019 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1357882
- new version 3.28.1

* Sun Sep 23 2018 umeabot <umeabot> 3.28.0-2.mga7
+ Revision: 1297842
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208422
- new version 3.28.0

* Sat Mar 10 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1208003
- fix filelist
+ ovitters <ovitters>
- new version 3.27.92

* Mon Jan 08 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1191627
- new version 3.27.4

* Fri Mar 25 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 995257
- new version 3.20.0

* Tue Feb 16 2016 tv <tv> 3.19.4-1.mga6
+ Revision: 961880
- 3.19.4

* Thu Feb 11 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 953978
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 885012
- new release

* Thu Sep 10 2015 fwang <fwang> 3.17.4-2.mga6
+ Revision: 875449
- rebuild for new libgcrypt

* Tue Aug 04 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 861036
- new version 3.17.4

* Wed Jul 01 2015 wally <wally> 3.16.0-4.mga6
+ Revision: 849396
- add patch to fix gir build and thus typelib() requires generation
- drop unneeded requires from gir pkgs
- drop duplicate files section entry

* Tue Jun 30 2015 wally <wally> 3.16.0-3.mga6
+ Revision: 848860
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 3.16.0-2.mga6
+ Revision: 847181
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 838290
- new version 3.16.0

* Sun Oct 26 2014 wally <wally> 3.14.0-5.mga5
+ Revision: 793386
- fix gir pkg names

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-4.mga5
+ Revision: 742198
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 3.14.0-3.mga5
+ Revision: 736724
- one deps was not automatically picked

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731137
- rebuild so that it picks typelib() requires

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721227
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679450
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 674195
- new version 3.13.91

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622527
- new version 3.12.2

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606711
- new version 3.12.0

* Thu Mar 06 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600576
- new version 3.11.91

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546087
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502138
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484474
- new version 3.10.0

* Tue Sep 17 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 480860
- update BR and %%file
- new version 3.9.90
+ ovitters <ovitters>
- new version 3.9.91

* Sun Jul 28 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 459254
- new version 3.9.1

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427529
- update file list
- add string literal patch
- new version 3.8.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 351119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 317150
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306802
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297607
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295890
- new version 3.5.92

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282553
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279348
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271325
- new version 3.5.4

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264514
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231054
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226619
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224350
- new version 3.3.92

* Thu Mar 01 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 216291
- update file list
- new version 3.3.90

* Fri Feb 10 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 206903
- new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196954
- new version 3.3.4

* Wed Dec 21 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 185462
- new version 3.3.3.1
- drop P0, fixed upstream

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184446
- new version 3.3.3
- ad P0 to fix str fmt

* Wed Nov 23 2011 wally <wally> 3.3.2.1-1.mga2
+ Revision: 171374
- new version 3.3.2.1
- drop P1, fixed upstream

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170459
- new version 3.3.2
- drop P0
- add P1 to fix build with latest glib
- enable introspection

* Thu Oct 27 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 158778
- imported package gcr

